Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.html
Class NoScriptElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.MultiPartElement
                        |
                        +--weblogic.html.NoScriptElement

public class NoScriptElement
extends MultiPartElement

Use a NoScriptElement container for HtmlElements that will be displayed (instead of executing the code in a ScriptElement on the same page) when a user has scripts turned off or if the displaying browser doesn't support scripts.

Version:
  2.1
Author:
  Copyright (c) 1996 by WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `HtmlElement`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`NoScriptElement()`

Method Summary
`NoScriptElement` | `addElement(HtmlElement elem)` Adds an HtmlElement to a NoScriptElement.
`NoScriptElement` | `addElement(java.lang.String str)` Adds a string to a NoScriptElement.
`HtmlElement` | `getElementAt(int pos)` Gets an HtmlElement at the specified index position in a NoScriptElement.
`protected java.lang.String` | `getHtmlCode()`
`protected boolean` | `printBody()`
`protected boolean` | `printCR()`
`protected boolean` | `printEndingTag()`

Methods inherited from class weblogic.html.MultiPartElement
`addHeadMultiElement, addMultiElement, getMultiElementAt, getNumElements, printBody, printBody, printBody, removeElement, removeElementAt, replaceElementAt, replaceMultiElementAt, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoScriptElement

    public NoScriptElement()

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Overrides:
    printCR in class ElementWithAttributes

### printBody

    protected boolean printBody()

  Overrides:
    printBody in class ElementWithAttributes

### printEndingTag

    protected boolean printEndingTag()

  Overrides:
    printEndingTag in class ElementWithAttributes

### addElement

    public NoScriptElement addElement(HtmlElement elem)

  Adds an HtmlElement to a NoScriptElement.

  Parameters:
    `elem` - HtmlElement
  Returns:
    NoScriptElement

### addElement

    public NoScriptElement addElement(java.lang.String str)

  Adds a string to a NoScriptElement.

  Parameters:
    `str` - String
  Returns:
    NoScriptElement

### getElementAt

    public HtmlElement getElementAt(int pos)

  Gets an HtmlElement at the specified index position in a NoScriptElement.

  Parameters:
    `pos` - Index into the contents
  Returns:
    NoScriptElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD